<?php

namespace App\Console\Commands;

use App\Models\District;
use Box\Spout\Common\Type;
use Box\Spout\Reader\ReaderFactory;
use Illuminate\Console\Command;

class InsertDistricts extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'importDistricts';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Upload District data';


    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $reader = ReaderFactory::create(Type::XLSX); // for XLSX files
        $file = public_path('data/district.xlsx');
        $reader->open($file);

        $insert_data = [];

        $this->info('started---');

        foreach ($reader->getSheetIterator() as $sheet) {
            if ($sheet->getIndex() > 0) break; // only first sheet

            $this->info('Preparing Data');
            foreach ($sheet->getRowIterator() as $row_index => $values) {
                $eng_name = $values [1];

                $insert_data [] = [
                    'name' => $eng_name,
                ];
            }

        }

        // Insert
        try {
            District::insert($insert_data);
            $this->info('Inserted');
        } catch (\Exception $e) {
            $this->info($e->getMessage());
        }


    }
}
