<?php

namespace App\Http\Controllers\Api;

use App\Models\ExamVideo;
use App\Models\Result;
use App\Services\ApiCommonResponseService;
use App\Services\ResultService;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class PhysicalAuditionController extends Controller
{
    public  $result_per_page = 20, $apiResponse, $resultService;
    public function __construct()
    {
        $this->apiResponse = new ApiCommonResponseService();
        $this->resultService = new ResultService();
    }
    public function get(Request $request)
    {

        $page_number = $request->page_number;
        if(!$page_number)
            $page_number = 1;
        $take = $this->result_per_page;
        $skip = ($page_number - 1) * $take;
        $query_parateterms['active_status'] = 1;
        $query_parateterms['is_marked_for_physical_audition'] = 0;
        $query_parateterms['user_type'] = 4;
        if($request->search) {
            $users=User::where($query_parateterms)->
            where('user_name','like','%'.$request->search.'%')->orwhere('tth_id', $request->search)->with('zone')->skip($skip)->take($take)->get();
        }
        else{

            $users=User::where($query_parateterms)->with('zone')->skip($skip)->take($take)->get();
        }
        $formated_data = $this->cleanData($users);
        $total_count = User::where($query_parateterms)->count();
        $formated_data = $this->apiResponse->pagination($formated_data, $page_number ,$total_count, $this->result_per_page);
        return $this->apiResponse->success_response('200','Waiting List of Admin Approval',$formated_data);

    }
    public function getAssigned(Request $request)
    {

        $page_number = $request->page_number;
        if(!$page_number)
            $page_number = 1;
        $take = $this->result_per_page;
        $skip = ($page_number - 1) * $take;
        $query_parateterms['active_status'] = 1;
        $query_parateterms['is_marked_for_physical_audition'] = 1;
        $query_parateterms['user_type'] = 4;
        if($request->search) {
            $users=User::where(!$query_parateterms)->
            where('user_name','like','%'.$request->search.'%')->orwhere('tth_id', $request->search)->with('zone')->skip($skip)->take($take)->get();
        }
        else{

            $users=User::where($query_parateterms)->with('zone')->skip($skip)->take($take)->get();
        }
        $formated_data = $this->cleanDataForAssigned($users);
        $total_count = User::where($query_parateterms)->count();
        $formated_data = $this->apiResponse->pagination($formated_data, $page_number ,$total_count, $this->result_per_page);
        return $this->apiResponse->success_response('200','Waiting List of Admin Approval',$formated_data);

    }

    public function update(Request $request){
        $marks = $request->marks;
        $user_id = $request->user_id;
        $this->resultService->assignPhysicalAUditionMarks($user_id,$marks);
        return $this->apiResponse->success_response('200','Give Marks Successfully',[]);


    }
    public function cleanData($user_list){
        $data=[];
        foreach($user_list as $list)
        {
            $data[]=[
                'id'=>$list->id,
                'user_name'=>$list->user_name,
                'tth_id'=>$list->tth_id,
                'zone'=>$list->zone->name,
                'marks' => $list->marks
            ];
        }
        return $data;
    }
    public function cleanDataForAssigned($user_list){
        $data=[];
        foreach($user_list as $list)
        {
            $data[]=[
                'id'=>$list->id,
                'user_name'=>$list->user_name,
                'tth_id'=>$list->tth_id,
                'zone'=>$list->zone->name,
                'marks' => Result::where('participant_id',$list->id)->first()->physical_audition_marks
            ];
        }
        return $data;
    }

}
