<?php


namespace App\Services;


use App\Club;
use App\Notification;
use Illuminate\Support\Collection;

class NotificationShowLatestService
{

    public function prepareNotificationLatestInformationData($informations)
    {

        $data = [];

        foreach ($informations as $information) {
            if($information->image==null) {
                $data [] = [
                    'id' => $information->id,
                    'sub_title' => $information->sub_titte,
                    'title' => $information->title,


                    'description' => $information->description,

                    'image' => $information->image,
                    'created_at' => $information->created_at->addHour(6)->toDayDateTimeString(),
                ];
            }
            else
            {
                $data [] = [
                    'id' => $information->id,
                    'sub_title' => $information->sub_titte,
                    'title' => $information->title,


                    'description' => $information->description,

                    'image' => asset($information->image),
                    'created_at' => $information->created_at->addHour(6)->toDayDateTimeString(),
                ];

            }
        }

        return $data;
    }

    public function getAllNotificationLatestInformation()
    {
        $informations = Notification::orderBy('id', 'DESC')->limit(3)->get();
        //dd($informations);

        return $informations;
    }


    public function getAllNotification($page_number = null, $perpage = null)
    {
        $builder = Notification::orderBy('id', 'DESC');


        $pageNumber = empty($page_number)?  1: $page_number;
        $perPage = empty($perpage)?  6: $perpage;
        $informations = $builder->paginate($perPage, ['*'], null, $pageNumber);


//dd($informations);

        return $informations;
    }


}
