<?php
/**
 * Created by PhpStorm.
 * User: charlie
 * Date: 11/5/18
 * Time: 12:58 PM
 */

namespace App\Services;


use App\Role;
use Illuminate\Http\Request;

class RoleService
{
    public function getAll()
    {
        return new Role();
    }

    public function prepareForDataTable($dataBuilder, Request $request)
    {
        $start = $request->get('start');
        $length = $request->get('length');
        $draw = $request->get('draw');

        $data = $dataBuilder->paginate($length, ['*'], null, (int)$start / $length + 1);

        $response = [
            'draw' => $draw,
            'recordsTotal' => $data->total(),
            'recordsFiltered' => $data->total(),
            'data' => []
        ];

        $index = 1;

        $data->each(function ($data) use (&$response, &$index) {

            $response['data'][] = [
                'sl'        => $index,
                'id'        => $data['id'],
                'name'      => $data['display_name'],
                'description' => $data['description']
            ];
            $index++;
        });
        return $response;

    }


    public function save(Request $request)
    {
       $dispaly_name = $request->display_name;
       $description  = $request->description;

       $role = Role::create([
           'display_name' => $dispaly_name,
           'description'   => $description,

       ]);

       return $role;

    }

    public function update(Request $request)
    {
        $id = $request->id;
        Role::where('id',$id)->update([
            'display_name' => $request->display_name,
            'description' => $request->description,
        ]);


    }

    public function getById(Request $request)
    {
        $id = $request->role_id;

        $role = Role::find($id);

        $data = [
            'name' => $role->display_name,
            'description' => $role->description,
        ];

        return $data;
    }

    public function delete(Request $request)
    {
        $id = $request->id;

        Role::destroy($id);

    }

}