@extends('admin.layouts.mobile_layout')

@section('title')
    Create | Notification | Suzuki Admin Panel
@endsection
@section('page-specific-css')
    <link href="{{asset('plugins/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css" />

@endsection

@section('page-heading')
    Bike Parts
@endsection


@section('breadcumb')
    <li class="breadcrumb-item"><a href="ecommerce-dashboard.html#">Suzuki</a></li>
    <li class="breadcrumb-item active">Notification</li>
@endsection

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <div class="row">
                    <div class="col-12">
                        <div class="p-20">
                            <form action="{{route('notification.store')}}" class="form-horizontal" role="form"
                                  enctype="multipart/form-data" method="post">

                                {{csrf_field()}}
                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Notification User Type</label>
                                    <div class="col-10">
                                        <select name="type_id" class="form-control" required>
                                            <option value="">Select User Type</option>


                                                <option
                                                    value="5">All User</option>
                                        </select>
                                    </div>
                                </div>

                                {{--<div class="form-group row">--}}
                                    {{--<label class="col-2 col-form-label">Notification User Type</label>--}}
                                    {{--<div class="col-10">--}}
                                        {{--<select name="manufacturer" id="manufacturer" required>--}}
                                            {{--<option value="" class="default" selected>(select)</option>--}}

                                            {{--<option--}}
                                                    {{--value="1" class="default" >Non Clinet</option>--}}
                                            {{--<option--}}
                                                {{--value="2" class="default">Biker</option>--}}
                                            {{--<option--}}
                                                {{--value="3" class="default">Specific Biker</option>--}}
                                            {{--<option--}}
                                                {{--value="4" class="default">Specific User</option>--}}

                                        {{--</select>--}}
                                        {{--<select name="model_id" class="form-control" id="model"  required>--}}
                                            {{--<option value="">--}}
                                                {{--select your model--}}

                                            {{--</option>--}}
                                            {{--@foreach($bikes as $bike)--}}
                                                {{--<option--}}
                                                    {{--value="{{$bike->id}}">{{$bike->model_title}}</option>--}}
                                            {{--@endforeach--}}
                                        {{--</select>--}}
                                        {{--<select name="user_id" class="form-control" id="model1"  required>--}}
                                            {{--<option value="">--}}
                                                {{--select your User--}}

                                            {{--</option>--}}
                                            {{--@foreach($users as $user)--}}
                                                {{--<option--}}
                                                    {{--value="{{$user->id}}">{{$user->name}}</option>--}}
                                            {{--@endforeach--}}
                                        {{--</select>--}}
                                    {{--</div>--}}
                                {{--</div>--}}

                                    {{--<select name="model_id" class="form-control" id="model"  hidden="hidden" required>--}}
                                        {{--<option value="">--}}
                                            {{--select your model--}}

                                        {{--</option>--}}
                                        {{--@foreach($bikes as $bike)--}}
                                            {{--<option--}}
                                                {{--value="{{$bike->id}}">{{$bike->model_title}}</option>--}}
                                        {{--@endforeach--}}
                                    {{--</select>--}}





                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Notification Title</label>
                                    <div class="col-10">
                                        <input name="title" type="text" placeholder="Enter Notification title"
                                               class="form-control" >
                                    </div>
                                </div>



                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Notification Short Title</label>
                                    <div class="col-10">
                                        <input name="sub_title" type="text"  placeholder="Enter Notification Short title"
                                               class="form-control" >
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Notification Description</label>
                                    <div class="col-10">
                                        <textarea name="description" class="form-control" rows="5"
                                                  placeholder="Enter Notification Description" required></textarea>
                                    </div>
                                </div>


                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Upload Notification Image</label>
                                    <div class="col-10">
                                        <input name="image" type="file" class="form-control">
                                    </div>
                                    @if($errors->has('image'))
                                        {{ $errors->image }}
                                    @endif
                                </div>


                                {{--<select name="manufacturer" id="manufacturer" required>--}}
                                    {{--<option value="" class="default" selected>(select)</option>--}}
                                    {{--<option value="Manufacturer One">Manufacturer One</option>--}}
                                    {{--<option value="Manufacturer Two">Manufacturer Two</option>--}}
                                {{--</select>--}}

                                {{--<select name="model" id="model">--}}
                                    {{--<option value="" selected>(select)</option>--}}
                                    {{--<option value="Model One">Model One</option>--}}
                                    {{--<option value="Model Two">Model Two</option>--}}
                                {{--</select>--}}
                                <button type="submit" class="btn btn-primary">Submit</button>

                            </form>
                        </div>
                    </div>

                </div>
                <!-- end row -->

            </div> <!-- end card-box -->
        </div><!-- end col -->
    </div>
@endsection

@section('page-specific-js')

    <script src="{{asset('plugins/select2/js/select2.full.min.js')}}"></script>
    <script src="{{asset('plugins/select2/js/select2.min.js')}}"></script>
<script>

    $(document).ready(function(){
        $("#select2").select2({
            placeholder:" Select Notification Type"
        });
    });

</script>


    <script type="text/javascript">
        $(function(){
            $("#model").hide();
            $("#model1").hide();// By default use jQuery to hide the second modal

            // We can use the change(); function to watch the state of the select box and run some conditional logic every time it's changes to hide or show the second select box
            $("#manufacturer").change(function(){
                var selected_option = $(this).find('option:selected').val();
                if( selected_option == "3" ){
                    $("#model").show();
                }
                 else {
                     $("#model").hide();
                 }

            });

            $("#manufacturer").change(function(){
                var selected_option = $(this).find('option:selected').val();
                if( selected_option == "4" ){
                    $("#model1").show();
                }
                else {
                    $("#model1").hide();
                }

            });
            // $("#manufacturer").change(function(){
            //     console.log(this.val);
            //     if( $(this.val())==3 .is("selected")){
            //
            //         $("#model").show();
            //         $("#model1").hide();
            //     }
            //
            // });
            // $("#manufacturer").change(function(){
            //     if( $(".default2") ){
            //         $("#model1").show();
            //         $("#model").hide();
            //     }
            //
            // });
        });
    </script>


@endsection
