@extends('admin.layouts.layout')

@section('title')
    Role Edit | Suzuki Admin Panel
@endsection

@section('page-specific-css')
    <link href="{{ asset('plugins/datatables/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('plugins/multiselect/css/multi-select.css') }}" rel="stylesheet" type="text/css"/>
@endsection

@section('page-heading')
    Role Details
@endsection

@section('right-side-button')
    <a type="button" class="btn btn-default  waves-effect waves-light" href="{{ URL::previous() }}">
        <span class="btn-label"><i class="fa fa-arrow-circle-left"></i></span>Back
    </a>
@endsection
@section('breadcumb')
    <li class="breadcrumb-item"><a href="{{route('home')}}">Home</a></li>
    <li class="breadcrumb-item active">Role</li>
@endsection

@section('content')
    <div class="row">
        <div class="col-md-12">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Error!</strong> There were some problems with your input.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="card-box">
                <h4 class="m-t-0 header-title">Edit Role</h4>
                <form method="post" action="{{ route('roles.update',$role->id) }}">
                    {!! method_field('patch') !!}
                    {{ csrf_field() }}
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="name" class="col-form-label">Name</label>
                            <input type="text"
                                   class="form-control"
                                   value="{{ $role->name }}" name="name" placeholder="Give a Role Name" required>
                        </div>
                        <div class="form-group col-md-12">
                            <label for="permissions" class="col-form-label">Permissions</label>
                            <select multiple="multiple" class="multi-select" id="permissions" name="permissions[]"
                                    required>
                                <option value=""></option>
                                @foreach($permissions as $permission)
                                    <option  {{ in_array($permission->name,$rolePermissions)? 'selected' : '' }} value=" {{ $permission->name }}"> {{ $permission->name  }}</option>
                                @endforeach
                            </select>
                        </div>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection


@section('page-specific-js')
    @parent
    <script src="{{ asset('plugins/multiselect/js/jquery.multi-select.js') }}"></script>
    <script>
        $("#permissions").multiSelect();
    </script>

@endsection